# Custom Field

#### **Example**

```json
{
      "assignedCategoryIds": [],
      "defaultValue": null,
      "id": 42623,
      "isHidden": false,
      "isRequired": false,
      "isSensitiveData": false,
      "name": "Shop region",
      "order": 1,
      "placeholder": "region",
      "possibleValues": 
      [
        {
          "order": 1,
          "value": "Østfold"
        },
        {
          "order": 2,
          "value": "Akershus"
        },
        {
          "order": 3,
          "value": "Oslo"
        }
      ],
      "type": "region",
      "value": null
}
```

#### Fields

| Field               | Type                                                                                                   | Comments                                                                                                                                                                                                        |
| ------------------- | ------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| assignedCategoryIds | array of integers                                                                                      | Ids of categories which tickets should contain this field (Obsolete)                                                                                                                                            |
| defaultValue        | string                                                                                                 | string containing default value. Format of string depends on field type (correct formats can be checked in this [document](/docs/apis/tickets/reference/enumerations/custom-field-types-and-values-formats.md)) |
| id                  | integer                                                                                                | Unique Id of custom field                                                                                                                                                                                       |
| isHidden            | boolean                                                                                                | If `true` custom field should be hidden from public ticket forms                                                                                                                                                |
| isRequired          | boolean                                                                                                | If `true` fulfilling this field is required for ticket with categories field assigned to                                                                                                                        |
| isSensitiveData     | boolean                                                                                                | If `true` field values will be deleted after ticket anonymization due to GDPR                                                                                                                                   |
| name                | string                                                                                                 | Name of custom field                                                                                                                                                                                            |
| order               | integer                                                                                                | Order of showing on web forms or other public places. (fields with less number will be shown before fields with bigger)                                                                                         |
| placeholder         | string                                                                                                 | Text of placeholder of field                                                                                                                                                                                    |
| possibleValues      | array of [Possible Values](/docs/apis/tickets/reference/objects/custom-field-possible-value.md) models | Array of possible value for custom field                                                                                                                                                                        |
| type                | string                                                                                                 | Type of custom field (ex. "text\_input", "email", "date") List of all possible type can be found in this [document](/docs/apis/tickets/reference/enumerations/custom-field-types-and-values-formats.md)         |
| value               | string                                                                                                 | String containing value. Format of string depends on field type (correct formats can be checked in this [document](/docs/apis/tickets/reference/enumerations/custom-field-types-and-values-formats.md))         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/objects/custom-field.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
